Company logoTrust Center Documentation
API v1 ReferenceNda templatesIdVersionsVersionid

Update NDA template version

Update a specific draft version of an NDA template. You can save version content fields, or publish the version. A request cannot save content and publish in…

PATCH
/api/v1/nda-templates/{id}/versions/{versionId}

Update a specific draft version of an NDA template.

You can save version content fields, or publish the version. A request cannot save content and publish in the same call.

Publishing a draft version:

  • Changes the version status from "draft" to "published"
  • Makes the version immutable (read-only)
  • The version can then be activated to become the active version

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Path Parameters

id*string

Template ID

Formatuuid
versionId*string

Version ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/nda-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "title": "Updated NDA",    "language": "de-DE",    "content_markdown": "# Updated NDA"  }'
{  "success": true,  "data": {    "success": true,    "message": "string"  }}

How is this guide?